php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #72781 Squirrelmail login failure
Submitted: 2016-08-08 10:36 UTC Modified: 2016-09-12 18:44 UTC
From: japs at bistruphave dot dk Assigned: bukka (profile)
Status: Not a bug Package: OpenSSL related
PHP Version: 7.1.0beta2 OS: centos 7
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
(description)
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: japs at bistruphave dot dk
New email:
PHP Version: OS:

 

 [2016-08-08 10:36 UTC] japs at bistruphave dot dk
Description:
------------
I have run Squirrelmail (squirrelmail-20151221_0200-SVN) without any problems in PHP 7.0.8, Apache 2.4.23, and OpenSSL 1.0.2.h.

When I upgrade to 7.1.0.beta1 or 2, I receive the following error as soon as squirrelmail is called (a login page is expected):

ERROR
Error connecting to IMAP server: bistruphave.dk.
IMAP STARTTLS is enabled in SquirrelMail configuration, but used IMAP server does not support STARTTLS.

The IMAP server is a UW server, and the same for the two versions of PHP.

Apart for timezone nothing is changed in php.ini



Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2016-08-08 14:57 UTC] cmb@php.net
That might be related to dropping support for sslv2 streams as of
PHP 7.1.0, see
<https://github.com/php/php-src/blob/PHP-7.1.0beta2/UPGRADING#L74-L75>.

Have you considered to also ask on an appropriate SquirrelMail
support channel?
 [2016-08-09 08:02 UTC] japs at bistruphave dot dk
OpenSSL 1.0.2g/h does not support SSLv2, so the removal of SSLv2 in PHP is not an explanation for the failure.
 [2016-09-12 18:16 UTC] bukka@php.net
-Status: Open +Status: Not a bug
 [2016-09-12 18:16 UTC] bukka@php.net
I have done most of the OpenSSL changes but this doesn't look like anything related to OpenSSL ext from the look to Squirrelmail code where I see something like this:

            if (! sqimap_capability($imap_stream, 'STARTTLS', false)) {
                // imap server does not declare starttls support
                sqimap_error_box(sprintf(_("Error connecting to IMAP server: %s."), $server),
                                 '','',
                                 _("IMAP STARTTLS is enabled in SquirrelMail configuration, but used IMAP server does not support STARTTLS."));
                exit;
            }


sqimap_capability calls just IMAP protocol CAPABILITY feature so it doesn't even touch openssl ext.

I'm closing this as "Not a bug" but if you find anything related to openssl ext, I'm happy to reopen.
 [2016-09-12 18:44 UTC] bukka@php.net
-Assigned To: +Assigned To: bukka
 
PHP Copyright © 2001-2022 The PHP Group
All rights reserved.
Last updated: Sat Dec 03 05:05:53 2022 UTC